# Class QuietFormChangePhase

#### Hierarchy (view full)

- BattlePhase
  - QuietFormChangePhase

- Defined in src/form-change-phase.ts:177

#####
Index

### Constructors

constructor

### Properties

formChange
pokemon
scene

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new QuietFormChangePhase(scene, pokemon, formChange): QuietFormChangePhase

- #### Parameters

  - scene: default
  - pokemon: default
  - formChange: SpeciesFormChange

  #### Returns QuietFormChangePhase

  Overrides BattlePhase.constructor

  - Defined in src/form-change-phase.ts:181

## Properties

### `Protected` formChange

formChange: SpeciesFormChange

- Defined in src/form-change-phase.ts:179

### `Protected` pokemon

pokemon: default

- Defined in src/form-change-phase.ts:178

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Overrides BattlePhase.end

  - Defined in src/form-change-phase.ts:280

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/form-change-phase.ts:187